#!/bin/bash 



###########################################################################
# modify existing WRF version to include FLake model (tested with WRFV3.4.1)
###########################################################################

#Define location of WRF and WPS folders

WHEREISWRF=/mnt/celtic/gula/test_WRF/WRFV3
WHEREISWPS=/path/to/WPS

############################################################
#1-  Update GEOGRID.TBL to add the LAKEDEPTH variable in geo_em. files
############################################################

more ./geogrid/GEOGRID.TBL.ARW_1 >> $WHEREISWPS/GEOGRID.TBL.ARW

############################################################
#2-  Update existing WRF routines
############################################################
chmod 700 include.pl

./include.pl $WHEREISWRF/dyn_em/module_first_rk_step_part1.F ./dyn_em/module_first_rk_step_part1.F_flake_1
./include.pl $WHEREISWRF/dyn_em/module_first_rk_step_part1.F ./dyn_em/module_first_rk_step_part1.F_flake_2
./include.pl $WHEREISWRF/dyn_em/module_first_rk_step_part1.F ./dyn_em/module_first_rk_step_part1.F_flake_3

./include.pl $WHEREISWRF/dyn_em/module_initialize_real.F ./dyn_em/module_initialize_real.F_flake_1

./include.pl $WHEREISWRF/phys/module_surface_driver.F ./phys/module_surface_driver.F_flake_1
./include.pl $WHEREISWRF/phys/module_surface_driver.F ./phys/module_surface_driver.F_flake_2
./include.pl $WHEREISWRF/phys/module_surface_driver.F ./phys/module_surface_driver.F_flake_3
./include.pl $WHEREISWRF/phys/module_surface_driver.F ./phys/module_surface_driver.F_flake_4

ls $WHEREISWRF/phys/module_surface_driver.F | xargs -l1 perl -pi -e 's/IF\(XLAND\(i,j\) .GT. 1.5\)TSK\(i,j\)=SSTSK\(i,j\)/IF\(XLAND\(i,j\) .GT. 1.5 .and. LAKE\_DEPTH\(i,j\) .EQ. 0\) TSK\(i,j\)=SSTSK\(i,j\)/g'   

############################################################
#3-  Add new lake routines
############################################################

cp ./phys/module_sf* $WHEREISWRF/phys/

./include.pl $WHEREISWRF/phys/Makefile ./phys/Makefile_flake_1

# Change for WRFV3.5:
./include.pl $WHEREISWRF/main/depend.common ./phys/Makefile_flake_2
./include.pl $WHEREISWRF/main/depend.common ./phys/Makefile_flake_3

############################################################
#4- Define new variables
############################################################

cp -f ./Registry/registry.flake $WHEREISWRF/Registry/
echo "include registry.flake" >> $WHEREISWRF/Registry/Registry.EM








